Tar.TarLongFileMode (Apache Ant API)
Description: declaration: package: org.apache.tools.ant.taskdefs, class: Tar, class: TarLongFileMode

Package org.apache.tools.ant.taskdefs

# Class Tar.TarLongFileMode

java.lang.Object
org.apache.tools.ant.types.EnumeratedAttribute
org.apache.tools.ant.taskdefs.Tar.TarLongFileMode

Enclosing class:
  `Tar`

public static class Tar.TarLongFileMode extends EnumeratedAttribute
Set of options for long file handling in the task.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `FAIL`
  permissible values for longfile attribute
  `static final String`
  `GNU`
  permissible values for longfile attribute
  `static final String`
  `OMIT`
  permissible values for longfile attribute
  `static final String`
  `POSIX`
  permissible values for longfile attribute
  `static final String`
  `TRUNCATE`
  permissible values for longfile attribute
  `static final String`
  `WARN`
  permissible values for longfile attribute

  ### Fields inherited from class org.apache.tools.ant.types.EnumeratedAttribute

  `value`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TarLongFileMode()`
  Constructor, defaults to "warn"

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String[]`
  `getValues()`
  This is the only method a subclass needs to implement.
  `boolean`
  `isFailMode()`
  `boolean`
  `isGnuMode()`
  `boolean`
  `isOmitMode()`
  `boolean`
  `isPosixMode()`
  `boolean`
  `isTruncateMode()`
  `boolean`
  `isWarnMode()`

  ### Methods inherited from class org.apache.tools.ant.types.EnumeratedAttribute

  `containsValue, getIndex, getInstance, getValue, indexOfValue, setValue, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### WARN

    public static final String WARN
    permissible values for longfile attribute
    See Also:
      - Constant Field Values

  - ### FAIL

    public static final String FAIL
    permissible values for longfile attribute
    See Also:
      - Constant Field Values

  - ### TRUNCATE

    public static final String TRUNCATE
    permissible values for longfile attribute
    See Also:
      - Constant Field Values

  - ### GNU

    public static final String GNU
    permissible values for longfile attribute
    See Also:
      - Constant Field Values

  - ### POSIX

    public static final String POSIX
    permissible values for longfile attribute
    See Also:
      - Constant Field Values

  - ### OMIT

    public static final String OMIT
    permissible values for longfile attribute
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### TarLongFileMode

    public TarLongFileMode()
    Constructor, defaults to "warn"

- ## Method Details

  - ### getValues

    public String[] getValues()
    Description copied from class: `EnumeratedAttribute`
    This is the only method a subclass needs to implement.
    Specified by:
      `getValues` in class `EnumeratedAttribute`
    Returns:
      the possible values for this enumerated type.

  - ### isTruncateMode

    public boolean isTruncateMode()
    Returns:
      true if value is "truncate".

  - ### isWarnMode

    public boolean isWarnMode()
    Returns:
      true if value is "warn".

  - ### isGnuMode

    public boolean isGnuMode()
    Returns:
      true if value is "gnu".

  - ### isFailMode

    public boolean isFailMode()
    Returns:
      true if value is "fail".

  - ### isOmitMode

    public boolean isOmitMode()
    Returns:
      true if value is "omit".

  - ### isPosixMode

    public boolean isPosixMode()
    Returns:
      true if value is "posix".